.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" HISTORY
.\" $Log:	vprintf.3,v $
.\" Revision 2.4  90/12/12  15:59:09  mja
.\" 	Add copyright/disclaimer for distribution.
.\" 
.\" Revision 2.3  89/08/03  14:54:10  mja
.\" 	Add vsnprintf().
.\" 	[89/08/03            mja]
.\" 
.\" Revision 2.2  89/02/22  17:59:12  gm0w
.\" 	Created.
.\" 	[89/02/22            gm0w]
.\" 
.TH VPRINTF 3 8/3/89
.CM 4
.SH NAME
vprintf, vfprintf, vsprintf, vsnprintf \- varargs printf routines
.SH SYNOPSIS
.nf
.B 
#include <varargs.h>
.PP
.B 
char *vprintf(fmt, args);
.br
.B 
char *fmt;
.br
.B 
va_list args;
.PP
.B 
char *vfprintf(f, fmt, args);
.br
.B 
FILE *f;
.br
.B 
char *fmt;
.br
.B 
va_list args;
.PP
.B 
char *vsprintf(buf, fmt, args);
.br
.B 
char *buf, *fmt;
.br
.B 
va_list args;
.PP
.B 
int vsnprintf(buf, count, fmt, args);
.br
.B 
char *buf;
int count;
char *fmt;
.br
.B 
va_list args;
.SH DESCRIPTION
.IR Vprintf ,
.IR vfprintf ,
.I vsprintf
and
.I vsnprintf
are varargs versions of the stdio formatted output subroutines which may
be used by other subroutines that have varargs arguments and wish to
use formatted output.
.SH "SEE ALSO"
printf(3), varargs(3)
